AthausDoku

Inserate suchen

GET
/api/public/properties

Blättert durch den öffentlichen Katalog. Ohne Filter kommen die neuesten Inserate. Gedrosselt je Aufrufer; wer viel abruft, bekommt 429.

Abfrage-Parameter

page?integer
Bereich1 <= value
Vorgabe1
page_size?integer
Bereich1 <= value <= 60
Vorgabe24
city?string

Stadt, zum Beispiel Berlin.

transaction_type?string

Wert in

  • "buy"
  • "rent"
property_type?string

Wert in

  • "apartment"
  • "house"
  • "land"
  • "commercial"
min_price?number
Bereich0 <= value
max_price?number
Bereich0 <= value
min_rooms?number
Bereich0 <= value
min_sqm?number
Bereich0 <= value

Rumpf der Antwort

application/json

application/json

curl -X GET "https://example.com/api/public/properties"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "city": "string",      "postal_code": "string",      "property_type": "string",      "transaction_type": "buy",      "asked_price": 0,      "total_rooms": 0,      "square_meters": 0,      "latitude": 0,      "longitude": 0,      "beispiel": true    }  ],  "total": 0,  "page": 0,  "page_size": 0}